Skip to main content
`Ctrl`+`K`

# DMShellGetRefine

Get the routine used to refine the `DMSHELL`

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellGetRefine(DM dm, PetscErrorCode (**refine)(DM coarse, MPI_Comm comm, DM *fine))

Logically Collective

## Input Parameter

- dm - the `DMSHELL`

## Output Parameter

- refine - the routine that refines the `DM`

## Calling sequence of `refine`

- coarse - the `DM` to refine

- comm - the `MPI_Comm` to share the finer `DM`

- fine - the resulting fine `DM`

## See Also

`DM`, `DMSHELL`, `DMShellSetCoarsen()`, `DMCoarsen()`, `DMShellSetRefine()`, `DMRefine()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages